Retrieve an evaluator
curl --request GET \
--url https://api.twinbay.ai/evaluators/{evaluator_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twinbay.ai/evaluators/{evaluator_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twinbay.ai/evaluators/{evaluator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_version": 123,
"status": "pending",
"twins": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "evaluator",
"rules": [
{
"outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matcher": {
"twin": "<string>",
"method": "GET",
"path": "<string>",
"predicates": [
{
"source": "query",
"field": "<string>",
"operator": "eq",
"value": "<string>"
}
]
}
}
],
"provenance": {
"compiler": {
"provider": "<string>",
"model": "<string>"
},
"api_schemas": [
{
"twin": "<string>",
"twin_version": "<string>",
"image_digest": "<string>",
"description": "<string>",
"resources": [
"<string>"
],
"sdk_targets": [
"<string>"
]
}
],
"executor": {
"version": "<string>"
}
},
"last_error": {
"code": "<string>",
"message": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}tests
Retrieve an evaluator
Poll until status is ready, when rules and provenance are frozen, or error, when last_error explains the failure.
GET
/
evaluators
/
{evaluator_id}
Retrieve an evaluator
Authorizations
Access tokenOrganization API key
Access token issued by WorkOS AuthKit.
Path Parameters
Response
Successful Response
Available options:
pending, running, ready, error Allowed value:
"evaluator"The frozen matchers, once compilation is ready.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes